Support » How-To and Troubleshooting » redeclare problem after upgrade

redeclare problem after upgrade

  • I had been running 2.0 just fine but I just did an upgrade to the newest version now my site does not display. I get an error:
    Fatal error: Cannot redeclare wp_get_current_user() (previously declared in D:\Apache2\htdocs\wordpress\wp-includes\pluggable-functions.php:31) in D:\Apache2\htdocs\wordpress\wp-includes\pluggable-functions.php on line 30

    This seems to be the only place it is declared. Any ideas on how to fix this problem or what may be the cause?

Viewing 5 replies - 1 through 5 (of 5 total)
  • You might try deleting all your WP files (not themes or plugins) and then reinstall the new files.

    Thanks, I just realized it may be a problem with one or more of my plugins so I have started the arduous process of deactivating all of them and reactivating one by one.

    There were several plugins that caused the problem, each from David Chait’s wonderful plugins. Both CG-Amazon and CG-WhatTunes no longer work, unfortunately. Now I will have to dig around and try to find out why…

    Did you ever find out what plugins where causing the error and how to fix them? I’m having this very issue.

    I know at this point all of my plugins are FUBARed. I can’t even used Akismet for this error. It’s rather stressful…

    I know it’s probably because I did not deactivate the plugins before I upgraded, but I’ve attempted another upgrade, deleted the plugins, reinstalled them and am still getting the error.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘redeclare problem after upgrade’ is closed to new replies.
Skip to toolbar